# $Revision: 1.23 $, $Date: 2012/02/11 22:42:14 $
Summary:	Automatically restart SSH sessions and tunnels
Summary(pl.UTF-8):	Automatyczny restart sesji i tuneli SSH
Name:		autossh
Version:	1.4c
Release:	1
License:	GPL
Group:		Applications/Networking
Source0:	http://www.harding.motd.ca/autossh/%{name}-%{version}.tgz
# Source0-md5:	26520eea934f296be0783dabe7fcfd28
Source1:	%{name}.init
Source2:	%{name}.tab
Source3:	%{name}.tmpfiles
URL:		http://www.harding.motd.ca/autossh/
Requires:	openssh-clients
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Autossh is a program to start a copy of ssh and monitor it, restarting
it as necessary should it die or stop passing traffic. The idea and
the mechanism are from rstunnel (Reliable SSH Tunnel), but implemented
in C. The author's view is that it is not as fiddly as rstunnel to get
to work. Connection monitoring using a loop of port forwardings. Backs
off on rate of connection attempts when experiencing rapid failures
such as connection refused. Compiled and tested on OpenBSD, Linux, and
Solaris; should work fine on other BSDs (except Mac OS 10).

%description -l pl.UTF-8
autossh jest programem uruchamiającym kopię ssh i monitorującym ją,
restartując w miarę potrzeby, jeśli umrze lub przestanie przekazywać
ruch. Idea i mechanizm pochodzą z rstunnela (Reliable SSH Tunnel), ale
zaimplementowano je w C. Według autora nie trzeba się tak patyczkować,
jak z rstunnelem, aby go uruchomić. Monitorowanie połączenia używa
pętli przekazywania portów. Częstotliwość prób połączeń jest
zmniejszana w przypadku napotkania nagłych awarii, takich jak
odrzucenie połączenia. Program skompilowano i sprawdzono na OpenBSD,
Linuksie i Solarisie; powinien działać także na innych BSD (oprócz
MacOS 10).

%package init
Summary:	autossh configuration as system service
Summary(pl.UTF-8):	konfiguracja autossh jako usługi systemowej
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	autossh = %{epoch}:%{version}-%{release}
Requires:	awk
Requires:	rc-scripts >= 0.4.0.20

%description init
this package contains init script and example configuration file, that
allows to run autossh as Unix system service.

%description init -l pl.UTF-8
Ten pakiet zawiera skrypt startowy oraz przykładowy plik
konfiguracyjny, które pozwalają uruchamić autossh jako uniksową usługę
systemową.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/var/run/%{name},%{_bindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/autossh.tab
install %{SOURCE3} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

install autossh $RPM_BUILD_ROOT%{_bindir}
install autossh.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post init
/sbin/chkconfig --add autossh
%service autossh restart "autossh"

%preun init
if [ "$1" = "0" ]; then
	%service autossh stop
	/sbin/chkconfig --del autossh
fi

%files
%defattr(644,root,root,755)
%doc README CHANGES autossh.host rscreen
%attr(755,root,root) %{_bindir}/autossh
%{_mandir}/man1/autossh.1*

%files init
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.tab
%attr(754,root,root) /etc/rc.d/init.d/%{name}
/usr/lib/tmpfiles.d/%{name}.conf
%dir /var/run/autossh

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: autossh.spec,v $
Revision 1.23  2012/02/11 22:42:14  zbyniu
- up to 1.4c

Revision 1.22  2012/01/31 11:50:34  baggins
- release 4

Revision 1.21  2012/01/30 20:43:13  baggins
- rel 3
- added tmpfiles config for systemd

Revision 1.20  2009/06/24 19:05:37  pawelz
- start/stop service in %post/%pre scriptlets of init subpackage

Revision 1.19  2009/05/19 10:40:38  pawelz
- R: openssh-clients
- adapterized

Revision 1.18  2009/05/19 10:15:17  pawelz
- added init subpackage containig init script
- more verbose %files
- rel 2

Revision 1.17  2008/04/18 12:29:23  areq
- 1.4b

Revision 1.16  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.14  2006/07/14 09:43:42  rotom
- up to 1.4a

Revision 1.13  2005/04/03 21:52:43  czucz
- updated to 1.3

Revision 1.12  2004/08/08 10:25:02  areq
- 1.2g

Revision 1.11  2004/02/22 10:30:50  serek
- oops - md5.

Revision 1.10  2004/02/22 10:30:16  serek
- new ver.

Revision 1.9  2003/10/21 12:13:15  areq
- 1.2e

Revision 1.8  2003/08/06 16:31:42  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.7  2003/06/16 19:09:15  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.6  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:45:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/02/24 11:09:24  areq
- 1.2d

Revision 1.3  2002/12/31 23:51:10  areq
- 1.2c. STBR

Revision 1.2  2002/11/25 22:44:47  qboosh
- pl description

Revision 1.1  2002/11/21 12:52:11  areq
- init PLD spec
